Bug 254135 - Review Request: libpanelappletmm - C++ interface for Gnome panel applets
Review Request: libpanelappletmm - C++ interface for Gnome panel applets
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mamoru TASAKA
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-08-24 07:50 EDT by Denis Leroy
Modified: 2007-11-30 17:12 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-01 11:33:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mtasaka: fedora‑review+
wtogami: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Denis Leroy 2007-08-24 07:50:36 EDT
Spec URL: http://www.poolshark.org/src/libpanelappletmm.spec
SRPM URL: http://www.poolshark.org/src/libpanelappletmm-2.6.0-1.src.rpm

Description: 

libpanelappletmm is part of the gnomemm project and provides a C++
interface for developing Gnome panel applets.
Comment 1 Mamoru TASAKA 2007-08-27 14:18:54 EDT
For 2.6.0-1:

* Possibly missing BuildRequires
  - From build.log:
-----------------------------------------------------
Generating code for file enums.h...
Generatsh: dot: command not found
Problems running dot: exit code=127, command='dot',
arguments='"classGtk_1_1EventBox__inherit__graph.dot" -Tpng -o
"classGtk_1_1EventBox__inherit__graph.png"'
sh: dot: command not found
------------------------------------------------------
    (and similar lines follow)
    Perhaps graphviz is missing from BuildRequires
    (also graphviz-gd or so MAY be needed for BuildRequries).

* %install
------------------------------------------------------
%install
make install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name "*.la" -exec rm -f {} ';'

mkdir -p $RPM_BUILD_ROOT%{_datadir}/
------------------------------------------------------
  - What is the last line for?

* Timestamps
  - This file installs some text files (such as header files)
    and keeping timestamps on them is preferable.
    For recent Makefile, the following method usually
    works (and also for this package)
------------------------------------------------------
make install DESTDIR=foo INSTALL="%{_install} -p"
------------------------------------------------------

? %_dist tag
  - Just a question, however do you dislike to use %_dist
    tag?
Comment 2 Denis Leroy 2007-08-27 18:07:47 EDT
- Yup, I missed the graphviz dependency (and only graphviz)
- Stray mkdir line removed (leftover from previous version)
- Used the timestamp-preserving INSTALL line
- Added the dist tag. I always use them.

http://www.poolshark.org/src/libpanelappletmm.spec
http://www.poolshark.org/src/libpanelappletmm-2.6.0-2.fc8.src.rpm
Comment 3 Mamoru TASAKA 2007-08-28 02:41:44 EDT
Okay.

------------------------------------------------------
  This package (libpanelappletmm) is APPROVED by me
------------------------------------------------------
Comment 4 Denis Leroy 2007-08-28 03:05:35 EDT
Thanks for the review :-)


New Package CVS Request
=======================
Package Name: libpanelappletmm
Short Description: C++ interface for Gnome panel applets
Owners: denis
Branches: FC-6 F-7 devel
InitialCC: 
Cvsextras Commits: yes
Comment 5 Mamoru TASAKA 2007-09-01 10:56:16 EDT
Please close this bug as NEXTRELEASE when rebuild is done.

Note You need to log in before you can comment on or make changes to this bug.